vars:
## NOTE: The units field in this file corresponds to CMOR standards.
## Some variables in esarchive may have different units than stated here.
## Use with caution.

# ECVs
  ta300:
    units: "K"
    long_name: "Air Temperature at 300 hPa"
    standard_name: "air_temperature"
    accum: no
  ta500:
    units: "K"
    long_name: "Air Temperature at 500 hPa"
    standard_name: "air_temperature"
    accum: no
  ta850:
    units: "K"
    long_name: "Air Temperature at 850 hPa"
    standard_name: "air_temperature"
    accum: no
  tas:
    units: "K"
    long_name: "Near-Surface Air Temperature"
    standard_name: "air_temperature"
    accum: no
  tos:
    units: "degC"
    long_name: "Sea Surface Temperature"
    standard_name: "sea_surface_temperature"
    accum: no
#    outname: "t2"
  tasmax:
    units: "K"
    long_name: "Maximum Near-Surface Air Temperature"
    standard_name: "air_temperature"
    accum: no
  tasmin:
    units: "K"
    long_name: "Minimum Near-Surface Air Temperature"
    standard_name: "air_temperature"
    accum: no
  ts:
    units: "K"
    long_name: "Surface Temperature"
    standard_name: "surface_temperature"
    accum: no
  tdps:
    units: "K"
    long_name: "2 metre dewpoint temperature"
    standard_name: 
    accum: no
  sfcWind:
    units: "m s-1"
    long_name: "Near-Surface Wind Speed"
    standard_name: "wind_speed"
    accum: no
  sfcWindmax:
    units: "m s-1"
    long_name: "Daily Maximum Near-Surface Wind Speed"
    standard_name: "wind_speed"
    accum: no
  winddir:
    units: "degrees"
    long_name: "10 metre wind direction"
    standard_name:
    accum: no 
#    outname: "wind"
  rsds:
    units: "W m-2"
    long_name: "Surface Downwelling Shortwave Radiation"
    standard_name: "surface_downwelling_shortwave_flux_in_air"
    positive: "down"
    accum: yes
#    outname: "rswin"
  prlr:
    units: "mm/day"
    long_name: "Total precipitation"
    standard_name: "total_precipitation_flux" #? Not in CF
    accum: yes
#    outname: "acprec"
  g300:
    units: "m2 s-2"
    long_name: "Geopotential"
    standard_name: "geopotential"
    accum: no
  g500:
    units: "m2 s-2"
    long_name: "Geopotential"
    standard_name: "geopotential"
    accum: no
  g850:
    units: "m2 s-2"
    long_name: "Geopotential"
    standard_name: "geopotential"
    accum: no
  ps:
    units: "Pa"
    long_name: "Surface pressure"
    standard_name: "surface_air_pressure"
    accum: no
  pr:
    units: "kg m-2 s-1"
    long_name: "Precipitation"
    standard_name: "precipitation_flux"
    accum: yes
  prc: 
    units: "kg m-2 s-1"
    long_name: "Convective Precipitation"
    standard_name: "convective_precipitation_flux"
    accum: yes
  psl:
    units: "Pa"
    long_name: "Sea Level Pressure"
    standard_name: "air_pressure_at_mean_sea_level"
    accum: no
  clt:
    units: "%"
    long_name: "Total Cloud Cover Percentage"
    standard_name: "cloud_area_fraction"
    accum: no
  hur:
    units: "%"
    long_name: "2 metre relative humidity"
    standard_name: "relative_humidity"
    accum: no
  hurs:
    units: "%"
    long_name: "Near-Surface Relative Humidity"
    standard_name: "relative_humidity"
    accum: no
  hursmin:
    units: "%"
    long_name: "Daily Minimum Near-Surface Relative Humidity"
    standard_name: "relative_humidity"
    accum: no
  hursmax:
    units: "%"
    long_name: "Daily Maximum Near-Surface Relative Humidity"
    standard_name: "relative_humidity"
    accum: no
  hfls:
    units: "W m-2"
    long_name: "Surface Upward Latent Heat Flux"
    standard_name: "surface_upward_latent_heat_flux"
    accum: no
  huss:
    units: "1"
    long_name: "Near-Surface Specific Humidity"
    standard_name: "specific_humidity"
    accum: no
  rsut:
    units: "W m-2"
    long_name: "TOA Outgoing Shortwave Radiation"
    standard_name: "toa_outgoing_shortwave_flux"
    accum: no
  rlut:
    units: "W m-2"
    long_name: "TOA Outgoing Longwave Radiation"
    standard_name: "toa_outgoing_longwave_flux"
    accum: no
  rsdt:
    units: "W m-2"
    long_name: "TOA Incident Shortwave Radiation"
    standard_name: "toa_incoming_shortwave_flux"
    accum: no
  ta:
    units: "K"
    long_name: "Air  Temperature"
    standard_name: "air_temperature"
    accum: no
  ua:
    units: "m s-1"
    long_name: "Eastward Wind"
    standard_name: "eastward_wind"
    accum: no
  uas:
    units: "m s-1"
    long_name: "Eastward Near-Surface Wind"
    standard_name: "eastward_wind"
    accum: no
  va:
    units: "m s-1"
    long_name: "Northward Wind"
    standard_name: "northward_wind"
    accum: no
  vas:
    units: "m s-1"
    long_name: "Northward Near-Surface Wind"
    standard_name: "northward wind"
    accum: no
  zg:
    units: "m"
    long_name: "Geopotential Height"
    standard_name: "geopotential_height"
    accum: no
  evspsbl:
    units: "kg m-2 s-1"
    long_name: "Evaporation Including Sublimation and Transpiration"
    standard_name: "water_evapotranspiration_flux"
    accum: no
  hfss:
    units: "W m-2"
    long_name: "Surface Upward Sensible Heat Flux"
    standard_name: "surface_upward_sensible_heat_flux"
    accum: no
  tas-tos:
    units: "K"
    long_name: "Blended land-surface air temperature and sea-surface temperature"
    standard_name: "air_sea_temperature"
    accum: no
  sic:
    units: "1"
    long_name: "Sea Ice Concentration"
    standard_name: "sea_ice_concentration"
    accum: no
  nao:
    units: "adim"
    long_name: "NAO index"
    standard_name: "nao_index"
    accum: no
  spei:
    units: "adim"
    long_name: "Standardized Precipitation-Evapotranspiration Index"
    standard_name: "SPEI"
    accum: no
  spi:
    units: "adim"
    long_name: "Standardized Precipitation Index"
    standard_name: "SPI"
    accum: no


# Coordinates
coords:
  longitude:
    units: "degrees_east"
    standard_name: "longitude"
    long_name: "Longitude"
    axis: "X"
  latitude: 
    units: "degrees_north"
    standard_name: "latitude"
    long_name: "Latitude"
    axis: "Y"
## TODO: Add plevels

# Skill metrics
metrics:
  enscorr:
    long_name: "Ensemble Mean Correlation Coefficient"
  enscorr_specs:
    long_name: "Ensemble Mean Correlation Coefficient"
  enscorr_p.value:
    long_name: "Ensemble Mean Correlation p-value"
  enscorr_conf.low:
    long_name: "Ensemble Mean Correlation Lower Confidence Interval"
  enscorr_conf.up:
    long_name: "Ensemble Mean Correlation Upper Confidence Interval"
  enscorr_significance:
    long_name: "Ensemble Mean Correlation Statistical Significance"
  corr:
    long_name: "Ensemble Correlation Coefficient"
  corr_specs:
    long_name: "Ensemble Correlation Coefficient"
  corr_p.value:
    long_name: "Ensemble Correlation p-value"
  corr_conf.low:
    long_name: "Ensemble Correlation Lower Confidence Interval"
  corr_conf.up:
    long_name: "Ensemble Correlation Upper Confidence Interval"
  corr_significance:
    long_name: "Ensemble Correlation Statistical Significance"
  rps:
    long_name: "Ranked Probability Score"
  frps:
    long_name: "Fair Ranked Probability Score"
  rpss:
    long_name: "Ranked Probability Skill Score"
  rpss_significance:
    long_name: "Ranked Probability Skill Score Statistical Significance"
  rpss_specs:
    long_name: "Ranked Probability Skill Score"
  frpss:
    long_name: "Fair Ranked Probability Skill Score"
  frpss_significance:
    long_name: "Fair Ranked Probability Skill Score Statistical Significance"
  frpss_specs:
    long_name: "Fair Ranked Probability Skill Score"
  bss10:
    long_name: "Brier Skill Score Lower Extreme"
  bss10_specs:
    long_name: "Brier Skill Score Lower Extreme"
  bss10_significance:
    long_name: "Brier Score Lower Extreme Statistical Significance"
  bss90:
    long_name: "Brier Skill Score Upper Extreme"
  bss90_significance:
    long_name: "Brier Skill Score Upper Extreme Statistical Significance"
  crps:
    long_name: "Continuous Ranked Probability Score"
  crpss:
    long_name: "Continuous Ranked Probability Skill Score"
  mean_bias:
    long_name: "Mean Bias"
  mean_bias_ss:
    long_name: "Mean Bias Skill Score"
  mean_bias_ss_significance:
    long_name: "Mean Bias Skill Score Statistical Significance"
  enssprerr:
    long_name: "Ensemble Spread-To-Error Ratio"
  rmsss:
    long_name: "Root Mean Square Skill Score"
